Page MenuHomePhabricator

Home link (logo) is available twice and doesn't feature discernible text
Closed, ResolvedPublic

Description

The home link (SVG logo, pointing to https://wikimediafoundation.org/) is available twice directly in sequence without obvious use.
But it doesn't feature any alternative textual content/discernible text, leaving screen readers behind – reading the link address at best. @TheDJ has already provided a PDF showing current HTML markup and its issues.

Expected result:

  • Add alternative text (“Wikimedia Foundation”) visible only to screen readers with .screen-reader-text class

Front page:

  • Put aria-hidden on the second logo in main#content

Pages aside of front page show logo (display:block vs display:none) on different screen sizes and therefore screen readers are only exposed once to it.

Event Timeline

Volker_E created this task.Aug 11 2018, 4:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2018, 4:58 PM
Volker_E updated the task description. (Show Details)Aug 11 2018, 5:51 PM
Volker_E updated the task description. (Show Details)Aug 11 2018, 5:53 PM
Volker_E updated the task description. (Show Details)Oct 1 2018, 9:52 PM
Volker_E added a comment.EditedOct 1 2018, 10:30 PM

This should be done differently on anything but the front page without adding the logo twice as DOM element for mobile and desktop and rather be resized accordingly. But that's out of this tasks scope and we'll pick it up later. For now we just rely on aria-hidden for one of the two instances on the front page (the subpages are taken care of by display: none on one of them respectively and add alternative text as children on all of the link wrapping a elements.

Volker_E updated the task description. (Show Details)Oct 1 2018, 10:43 PM
Varnent closed this task as Resolved.Oct 2 2018, 5:19 PM
Varnent assigned this task to Volker_E.

Patch merged, thank you @Volker_E!